<?php
/**
 * The template to display post list entry layout.
 *
 * This template can be overridden by copying it to
 * your-child-theme/views/entry-layouts/post-list.php.
 *
 * @package MadeByAura\Prime
 * @author  MadeByAura.com
 *
 * @param array $args
 */

namespace MadeByAura\Prime;

defined( 'ABSPATH' ) || die();

// Set CSS classes.
$classes[] = 'aura-post';
$classes[] = 'aura-post-list';
?>

<article <?php post_class( $classes ); ?>>
	<?php
	Base::view(
		'views/entry/image',
		[
			'class' => 'aura-post-list__image',
		],
	);
	?>

	<div class="aura-post-list__body">
		<?php
		Base::view(
			'views/entry/terms',
			[
				'class' => 'aura-post-list__categories',
			],
		);
		?>

		<?php
		Base::view(
			'views/entry/title',
			[
				'class' => 'aura-post-list__title',
			],
		);
		?>

		<?php
		Base::view(
			'views/entry/excerpt',
			[
				'class' => 'aura-post-list__excerpt',
			],
		);
		?>

		<?php
		Base::view(
			'views/entry/date',
			[
				'class' => 'aura-post-list__date',
			],
		);
		?>
	</div>
</article>
